package com.bocloud.cmp.provider.compute;

import com.bocloud.cmp.model.PoolModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

/**
 * osd操作接口
 *
 * @author weiwei
 */
public interface PoolProvider extends SuperProvider {
    public BocloudResult remove(String name, String target);

    public BocloudResult create(PoolModel model, String target);

    public BocloudResult modify(String name, String var, Integer value, String target);

    public BocloudResult detail(String name, String target);
}
